% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/otherfunc.R
\name{fs5_to_fs6}
\alias{fs5_to_fs6}
\title{fsaverage5 to fsaverage6}
\usage{
fs5_to_fs6(surf_data)
}
\arguments{
\item{surf_data}{A N x V matrix object containing the surface data (N row for each subject, V for each vertex), in fsaverage5 (20484 vertices)  space. See also SURFvextract() output format.}
}
\value{
A matrix object containing vertex-wise surface data mapped in fsaverage6 space
}
\description{
Remaps vertex-wise surface data in fsaverage5 space to fsaverage6 space using the nearest neighbor approach
}
\examples{
CTv = runif(20484,min=0, max=100);
CTv_fs6 = fs5_to_fs6(CTv);
}
\seealso{
\code{\link{fs6_to_fs5}}
}
